Blue Guardrails

Get Conversation Facets

List value or range facets for conversations matching a filter.

GET
/v1/conversations/facets

Query Parameters

filter?|

Conversation filter expression used to scope facet counts.

q?|

Case-insensitive search text for value facets.

limit?integer

Maximum number of value facets to return.

Default20
Range0 < value <= 100
field*|

Conversation facet field to fetch.

count_by?|

Deprecated. Conversation facets always count conversations.

Header Parameters

x-workspace-id?|

Workspace UUID for session-authenticated calls.

Response Body

application/json

application/json

curl -X GET "https://loading/v1/conversations/facets?field=tags"
{
  "field": "tags",
  "kind": "value",
  "count_by": "conversation",
  "items": [
    {
      "value": "string",
      "label": "string",
      "count": 0,
      "kind": "value",
      "key": "string",
      "tag_value": "string"
    }
  ],
  "min": 0,
  "max": 0
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}